<?php
/***********************************************************
    [EasyTalk] (C)2009 - 2011 nextsns.com
    This is NOT a freeware, use is subject to license terms

    @Filename SignAction.class.php $

    @Author hjoeson $

    @Date 2011-01-09 08:45:20 $
*************************************************************/

class SignAction extends Action {

	public function index() {
		$type=intval($_GET['type'])?intval($_GET['type']):1;
		$type=max($type,1);
		$type=min($type,8);
		$uid=intval($_GET['uid']);

		if ($uid) {
			$user=M('Users')->where("user_id='$uid'")->find();
			if ($user) {
				$user['lastcontent']=$user['lastcontent']?$user['lastcontent']:'';
				$image = imagecreatefrompng("Public/images/signature/$type.png");
				if ($type>=1 && $type<=5) {
					$linkcolor = imagecolorallocate($image,38,104,185); 
					$textcolor = imagecolorallocate($image,102,102,102); 
				} else if ($type>=6 && $type<=8) {
					$textcolor = imagecolorallocate($image,51,51,51); 
					$linkcolor= imagecolorallocate($image,15,38,126); 
				}
				
				$fontpath='Public/fonts/simhei.ttf';
				$user['lastcontent']=$this->wrap(9,0,$fontpath,ubbreplace($user['lastcontent']),260);

				imagettftext ( $image, 9, 0, 110, 25, $linkcolor, $fontpath, $user['nickname'].'：');
				imagettftext ( $image, 9, 0, 110, 42, $textcolor, $fontpath, $user['lastcontent'] );
				imagettftext ( $image, 8, 0, 260, 25, $textcolor, $fontpath, date('Y-m-d H:i:s',$user['lastconttime']) );
				imagettftext ( $image, 9, 0, 110, 95, $linkcolor, $fontpath, SITE_URL.'/?'.$user['user_name']);

				$src_im=$this->CreateThumbnail(sethead(str_replace('_small','_big',$user['user_head'])),80,80);
				imagecopy($image,$src_im,15,15,0,0,80, 80); 
				
				ob_clean();
				header("Content-type: image/png");
				imagepng($image);  
				imagedestroy($image); 
			}
		}
	}

	private function arr_split_zh($tempaddtext){
		$cind = 0;
		$arr_cont=array();
		for($i=0;$i<strlen($tempaddtext);$i++){
			if(strlen(substr($tempaddtext,$cind,1)) > 0){
				if(ord(substr($tempaddtext,$cind,1)) < 0xA1 ){ //如果为英文则取1个字节
					array_push($arr_cont,substr($tempaddtext,$cind,1));
					$cind++;
				}else{
					array_push($arr_cont,substr($tempaddtext,$cind,3));
					$cind+=3;
				}
			}
		}
		return $arr_cont;
	}

	private function wrap($fontSize, $angle, $fontFace, $string, $width){
		$ret = "";
		$lines=0;
		$arr = $this->arr_split_zh($string);
		foreach ( $arr as $word ){
			$teststring = $ret.' '.$word;
			$testbox = imagettfbbox($fontSize, $angle, $fontFace, $teststring);
			if ( $testbox[2] > $width ){
				if ($lines==2) {
					break;
				}
				$ret.=($ret==""?"":"\n").$word;
				$lines++;
			} else {
				$ret.=$word;
			}
		}
		return $ret;
	}
	
	//头像缩放
	private function CreateThumbnail($srcFile, $toW, $toH)  { 
		if (getsubstr(str_replace(SITE_URL,'',$srcFile),0,1,false)=='/') {
			$srcFile=str_replace(SITE_URL.'/','',$srcFile);
		} else {
			$srcFile=str_replace(SITE_URL,'',$srcFile);
		}
		$file=file_get_contents($srcFile);
		$im=imagecreatefromstring($file);
		//计算缩略图的宽高  
		$srcW = imagesx($im); 
		$srcH = imagesy($im); 
		$toWH = $toW / $toH; 
		$srcWH = $srcW / $srcH; 
		if ($toWH <= $srcWH)   { 
			$ftoW = $toW; 
			$ftoH = (int)($ftoW * ($srcH / $srcW)); 
		}  else  { 
			$ftoH = $toH; 
			$ftoW = (int)($ftoH * ($srcW / $srcH)); 
		} 
		if (function_exists("imagecreatetruecolor"))   { 
			$ni = imagecreatetruecolor($toW, $toH);
			imagecopyresampled($ni, $im, 0, 0, 0, 0, $toW, $toH, $srcW, $srcH);
		} 
		return $ni; 
	} 
}
?>