DROP TABLE IF EXISTS `et_praise`;
CREATE TABLE IF NOT EXISTS `et_praise` (
`id` INT( 10 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`user_id` INT( 10 ) NOT NULL ,
`puid` INT( 10 ) NOT NULL ,
`content_id` INT( 10 ) NOT NULL
) ENGINE = MYISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_words`;
CREATE TABLE IF NOT EXISTS `et_words` (
`id` int(10) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`word` VARCHAR( 20 ) NOT NULL ,
`type` TINYINT( 1 ) NOT NULL
) ENGINE = MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_groups`;
CREATE TABLE IF NOT EXISTS `et_groups` (
  `id` int(10) NOT NULL auto_increment,
  `user_id` int(10) NOT NULL,
  `group_name` varchar(20) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8  ;

DROP TABLE IF EXISTS `et_groupuids`;
CREATE TABLE IF NOT EXISTS `et_groupuids` (
  `id` int(10) NOT NULL auto_increment,
  `group_id` int(10) NOT NULL,
  `user_id` int(10) NOT NULL,
  `follow_uid` int(10) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8  ;

DROP TABLE IF EXISTS `et_tags`;
CREATE TABLE IF NOT EXISTS `et_tags` (
`tid` INT( 10 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`tagname` VARCHAR( 20 ) NOT NULL ,
`getnums` INT( 10 ) NOT NULL DEFAULT '1'
) ENGINE = MYISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_usertags`;
CREATE TABLE IF NOT EXISTS `et_usertags` (
`id` INT( 10 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`user_id` INT( 10 ) NOT NULL ,
`tag_id` INT( 10 ) NOT NULL
) ENGINE = MYISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_edus`;
CREATE TABLE IF NOT EXISTS `et_edus` (
`id` INT( 10 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`user_id` INT( 10 ) NOT NULL ,
`schooltype` VARCHAR( 20 ) NOT NULL ,
`schoolname` VARCHAR( 50 ) NOT NULL ,
`schooltime` INT( 5 ) NOT NULL ,
`schooldepart` VARCHAR( 140 ) NOT NULL
) ENGINE = MYISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_careers`;
CREATE TABLE IF NOT EXISTS `et_careers` (
`id` INT( 10 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`user_id` INT( 10 ) NOT NULL ,
`companyname` VARCHAR( 50 ) NOT NULL ,
`companytime1` INT( 5 ) NOT NULL ,
`companytime2` INT( 5 ) NOT NULL ,
`companydepart` VARCHAR( 140 ) NOT NULL
) ENGINE = MYISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_verified`;
CREATE TABLE IF NOT EXISTS `et_verified` (
`id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`user_id` INT( 10 ) NOT NULL ,
`authid` SMALLINT( 5 ) NOT NULL ,
`authinfo` VARCHAR( 200 ) NOT NULL ,
`phonenum` VARCHAR( 20 ) NOT NULL ,
`address` VARCHAR( 200 ) NOT NULL ,
`qq` VARCHAR( 15 ) NOT NULL 
) ENGINE = MYISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_topicwidget`;
CREATE TABLE IF NOT EXISTS `et_topicwidget` (
`id` INT( 10 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`topicid` INT( 10 ) NOT NULL ,
`widgettype` VARCHAR( 20 ) NOT NULL ,
`contents` TEXT NOT NULL ,
`widgettitle` VARCHAR( 30 ) NOT NULL ,
`order` INT( 10 ) NOT NULL DEFAULT '0'
) ENGINE = MYISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_regip`;
CREATE TABLE IF NOT EXISTS `et_regip` (
  `ip` char(15) NOT NULL DEFAULT '',
  `dateline` int(10) NOT NULL DEFAULT '0',
  `count` smallint(6) NOT NULL DEFAULT '0',
  KEY `ip` (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_forbidip`;
CREATE TABLE IF NOT EXISTS `et_forbidip` (
 `ip` CHAR( 15 ) NOT NULL ,
 `lasttime` INT( 10 ) NOT NULL
) ENGINE = MYISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_votecomment`;
CREATE TABLE IF NOT EXISTS `et_votecomment` (
`id` int(10) NOT NULL auto_increment PRIMARY KEY,
`vote_id` int(10) NOT NULL,
`user_id` int(10) NOT NULL,
`comments` text NOT NULL,
`dateline` int(10) NOT NULL
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

DROP TABLE IF EXISTS `et_voteoptions`;
CREATE TABLE IF NOT EXISTS `et_voteoptions` (
`id` int(10) NOT NULL auto_increment PRIMARY KEY,
`vote_id` int(10) NOT NULL,
`optionbody` varchar(40) NOT NULL,
`optiontimes` int(10) NOT NULL default '0'
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

DROP TABLE IF EXISTS `et_voteusers`;
CREATE TABLE IF NOT EXISTS `et_voteusers` (
`id` int(10) NOT NULL auto_increment PRIMARY KEY,
`user_id` int(10) NOT NULL,
`vote_id` int(10) NOT NULL,
`option_ids` text NOT NULL,
`hide` tinyint(1) NOT NULL default '0' COMMENT '是否匿名',
`join_time` int(10) NOT NULL
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

DROP TABLE IF EXISTS `et_weibobind`;
CREATE TABLE IF NOT EXISTS `et_weibobind` (
`uid` int(10) NOT NULL PRIMARY KEY,
`sina_uid` VARCHAR(20) NOT NULL,
`sina_token` varchar(32) NOT NULL,
`sina_tsecret` varchar(32) NOT NULL,
`sendtosina` tinyint(1) NOT NULL default '0' COMMENT '是否发送到新浪微博',
`qq_uid` varchar(20) NOT NULL,
`qq_token` varchar(32) NOT NULL,
`qq_tsecret` varchar(32) NOT NULL,
`sendtoqq` tinyint(1) NOT NULL default '0' COMMENT '是否发送到QQ'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_votes`;
CREATE TABLE IF NOT EXISTS `et_votes` (
`id` int(10) NOT NULL auto_increment PRIMARY KEY,
`vote_uid` int(10) NOT NULL,
`vote_title` varchar(50) NOT NULL,
`vote_info` text NOT NULL,
`vote_type` tinyint(2) NOT NULL,
`vote_time` int(10) NOT NULL,
`last_time` int(10) NOT NULL,
`votetimes` int(10) NOT NULL default '0',
`replynums` int(10) NOT NULL default '0'
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

DROP TABLE IF EXISTS `et_blacklist`;
CREATE TABLE IF NOT EXISTS `et_blacklist` (
`id` INT( 10 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`user_id` INT( 10 ) NOT NULL ,
`black_uid` INT( 10 ) NOT NULL,
`dateline` INT( 10 ) NOT NULL
) ENGINE = MYISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_logindt`;
CREATE TABLE IF NOT EXISTS `et_logindt` (
`id` INT( 10 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`user_id` INT( 20 ) NOT NULL ,
`login_ip` VARCHAR( 25 ) NOT NULL ,
`login_time` INT( 10 ) NOT NULL
) ENGINE = MYISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_vipgroup`;
CREATE TABLE IF NOT EXISTS `et_vipgroup` (
`id` SMALLINT( 6 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`name` VARCHAR( 30 ) NOT NULL ,
`iconurl` VARCHAR( 200 ) NOT NULL ,
`titleurl` VARCHAR( 200 ) NOT NULL
) ENGINE = MYISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_atusers`;
CREATE TABLE IF NOT EXISTS `et_atusers` (
`id` INT( 10 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`user_id` INT( 20 ) NOT NULL ,
`atuname` VARCHAR( 20 ) NOT NULL ,
`atnums` INT( 10 ) NOT NULL DEFAULT '1',
`dateline` INT( 10 ) NOT NULL
) ENGINE = MYISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_plugins`;
CREATE TABLE IF NOT EXISTS `et_plugins` (
  `id` int(10) NOT NULL auto_increment,
  `name` varchar(20) NOT NULL,
  `directory` varchar(100) NOT NULL,
  `available` tinyint(1) NOT NULL default '0',
  `type` varchar(10) NOT NULL COMMENT '类型app or plugin or api',
  `applogo` varchar(200) NOT NULL,
  `icourl` varchar(200) NOT NULL COMMENT '应用图标地址',
  `appinfo` varchar(200) NOT NULL,
  `appauthor` varchar(50) NOT NULL,
  `installs` int(10) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

DROP TABLE IF EXISTS `et_loginbind`;
CREATE TABLE IF NOT EXISTS `et_loginbind` (
  `id` int(10) NOT NULL auto_increment,
  `user_id` int(10) NOT NULL,
  `platuid` varchar(50) NOT NULL,
  `platname` varchar(20) NOT NULL,
  `apikey` varchar(32) NOT NULL,
  `apisecret` varchar(32) NOT NULL,
  `issync` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

DROP TABLE IF EXISTS `et_comments`;
CREATE TABLE IF NOT EXISTS `et_comments` (
  `comment_id` int(10) NOT NULL auto_increment,
  `user_id` int(10) NOT NULL,
  `comment_uid` int(10) NOT NULL,
  `content_id` int(10) NOT NULL,
  `comment_body` TEXT NOT NULL,
  `dateline` int(10) NOT NULL,
  PRIMARY KEY  (`comment_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_tongji`;
CREATE TABLE IF NOT EXISTS `et_tongji` (
    `id` INT( 10 ) NOT NULL auto_increment,
    `nums` INT( 10 ) NOT NULL,
    `dateline` INT( 10 ) NOT NULL,
    `type` VARCHAR( 20 ) NOT NULL,
    PRIMARY KEY  (`id`)
) ENGINE = MYISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_comments`;
CREATE TABLE IF NOT EXISTS `et_comments` (
  `comment_id` int(10) NOT NULL auto_increment,
  `user_id` int(10) NOT NULL,
  `comment_uid` int(10) NOT NULL,
  `content_id` int(10) NOT NULL,
  `comment_body` varchar(200) NOT NULL,
  `dateline` int(10) NOT NULL,
  PRIMARY KEY  (`comment_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_content`;
CREATE TABLE IF NOT EXISTS `et_content` (
  `content_id` int(10) NOT NULL AUTO_INCREMENT,
  `user_id` int(10) NOT NULL,
  `content_body` text NOT NULL,
  `posttime` int(10) NOT NULL,
  `type` varchar(50) NOT NULL,
  `filetype` SET(  'p',  'v',  'm',  't' ) NOT NULL DEFAULT  't',
  `retid` int(10) NOT NULL DEFAULT '0' COMMENT '转发的id',
  `replyid` int(10) NOT NULL DEFAULT '0' COMMENT '回复的id',
  `replytimes` smallint(6) NOT NULL DEFAULT '0' COMMENT '回复次数',
  `zftimes` smallint(6) NOT NULL DEFAULT '0' COMMENT '转发次数',
  `pinbi` tinyint(1) NOT NULL DEFAULT '0',
  `zhiding` tinyint(1) NOT NULL DEFAULT '0',
  `praisetimes` SMALLINT( 5 ) NOT NULL DEFAULT  '0',
  PRIMARY KEY (`content_id`),
  KEY `user_id` (`user_id`),
  KEY `retid` (`retid`),
  KEY `replyid` (`replyid`),
  KEY `filetype` (`filetype`),
  FULLTEXT KEY `content_body` (`content_body`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

DROP TABLE IF EXISTS `et_content_mention`;
CREATE TABLE IF NOT EXISTS `et_content_mention` (
  `id` int(10) NOT NULL auto_increment,
  `cid` int(10) NOT NULL,
  `user_id` int(10) NOT NULL,
  `dateline` int(10) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_content_topic`;
CREATE TABLE IF NOT EXISTS `et_content_topic` (
    `id` INT( 10 ) NOT NULL auto_increment,
    `topic_id` INT( 10 ) NOT NULL ,
    `content_id` INT( 10 ) NOT NULL,
    PRIMARY KEY  (`id`)
) ENGINE = MYISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_favorite`;
CREATE TABLE IF NOT EXISTS `et_favorite` (
  `fav_id` int(10) NOT NULL auto_increment,
  `content_id` int(10) NOT NULL,
  `sc_uid` int(10) NOT NULL,
  PRIMARY KEY  (`fav_id`),
  UNIQUE KEY `cid_sid` (`content_id`,`sc_uid`),
  KEY `sc_uid` (`sc_uid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_friend`;
CREATE TABLE IF NOT EXISTS `et_friend` (
  `fri_id` int(10) NOT NULL auto_increment,
  `fid_jieshou` int(10) NOT NULL,
  `fid_fasong` int(10) NOT NULL,
  PRIMARY KEY  (`fri_id`),
  UNIQUE KEY `jieshou-fasong` (`fid_jieshou`,`fid_fasong`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_invitecode`;
CREATE TABLE IF NOT EXISTS `et_invitecode` (
  `id` int(10) NOT NULL auto_increment,
  `invitecode` varchar(15) NOT NULL COMMENT '邀请码',
  `timeline` int(10) NOT NULL COMMENT '有效期',
  `isused` tinyint(1) NOT NULL default '0' COMMENT '是否被使用',
  `user_name` varchar(20) NOT NULL COMMENT '使用者帐号',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_messages`;
CREATE TABLE IF NOT EXISTS `et_messages` (
  `message_id` int(10) NOT NULL auto_increment,
  `senduid` int(10) NOT NULL COMMENT '发送者uid',
  `sendtouid` int(10) NOT NULL COMMENT '发送给的uid',
  `messagebody` TEXT NOT NULL,
  `sendtime` int(10) NOT NULL,
  `isread` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`message_id`),
  KEY `senduid` (`senduid`),
  KEY `sendtouid` (`sendtouid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_mytopic`;
CREATE TABLE IF NOT EXISTS `et_mytopic` (
  `id` int(10) NOT NULL auto_increment,
  `topicid` INT( 10 ) NOT NULL,
  `user_id` int(10) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `tid_uid` (`topicid`,`user_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_report`;
CREATE TABLE IF NOT EXISTS `et_report` (
  `id` int(10) NOT NULL auto_increment,
  `user_name` varchar(20) NOT NULL,
  `reporttype` tinyint(1) NOT NULL,
  `reportbody` varchar(300) NOT NULL,
  `dateline` int(10) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_system`;
CREATE TABLE IF NOT EXISTS `et_system` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL,
  `title` varchar(100) NOT NULL,
  `contents` longtext NOT NULL,
  `description` varchar(100) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_topic`;
CREATE TABLE IF NOT EXISTS `et_topic` (
  `id` int(10) NOT NULL auto_increment,
  `topicname` varchar(20) NOT NULL COMMENT '话题内容',
  `topictimes` smallint(6) NOT NULL COMMENT '话题次数',
  `follownum` INT( 10 ) NOT NULL DEFAULT '0' COMMENT '关注人数',
  `tuijian` TINYINT( 1 ) NOT NULL DEFAULT '0' COMMENT '推荐话题',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_url`;
CREATE TABLE IF NOT EXISTS `et_url` (
  `id` int(10) NOT NULL auto_increment,
  `key` varchar(10) NOT NULL,
  `url` text NOT NULL,
  `times` int(10) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_users`;
CREATE TABLE IF NOT EXISTS `et_users` (
  `user_id` int(10) NOT NULL AUTO_INCREMENT,
  `user_name` varchar(20) NOT NULL,
  `nickname` varchar(20) NOT NULL,
  `realname` varchar(20) NOT NULL COMMENT '真实姓名',
  `password` varchar(32) NOT NULL,
  `user_head` varchar(100) NOT NULL,
  `user_auth` tinyint(1) NOT NULL DEFAULT '0' COMMENT '用户认证',
  `auth_info` varchar(200) NOT NULL COMMENT '认证信息',
  `mailadres` varchar(50) NOT NULL,
  `provinceid` smallint(6) NOT NULL,
  `cityid` smallint(6) NOT NULL,
  `blogurl` varchar(100) NOT NULL COMMENT '博客地址',
  `qq` varchar(15) NOT NULL,
  `msn` varchar(30) NOT NULL,
  `signupdate` int(10) NOT NULL,
  `user_gender` varchar(2) DEFAULT NULL,
  `user_info` varchar(200) NOT NULL,
  `isadmin` tinyint(1) NOT NULL DEFAULT '0',
  `msg_num` smallint(6) NOT NULL DEFAULT '0',
  `follow_num` smallint(6) NOT NULL DEFAULT '0',
  `followme_num` smallint(6) NOT NULL DEFAULT '0',
  `priread` smallint(6) NOT NULL DEFAULT '0' COMMENT '未读的私信',
  `newfollownum` smallint(6) NOT NULL DEFAULT '0' COMMENT '新收听人数',
  `atnum` tinyint(2) NOT NULL DEFAULT '0' COMMENT '新提及',
  `comments` smallint(6) NOT NULL DEFAULT '0' COMMENT '新评论个数',
  `themename` varchar(20) DEFAULT NULL,
  `themebg` VARCHAR( 100 ) NOT NULL DEFAULT  '0',
  `themetype` VARCHAR( 100 ) NOT NULL DEFAULT  '0' COMMENT  '平铺类型',
  `auth_email` varchar(50) NOT NULL DEFAULT '0',
  `userlock` tinyint(1) NOT NULL DEFAULT '0',
  `last_login` int(10) NOT NULL DEFAULT '0',
  `login_date` int(10) NOT NULL DEFAULT '0' COMMENT '登陆统计字段',
  `lastcontent` varchar(250) NOT NULL DEFAULT '0' COMMENT '最后发表',
  `lastconttime` int(10) NOT NULL DEFAULT '0' COMMENT '最后发表时间',
  `regmailauth` tinyint(1) NOT NULL DEFAULT '0' COMMENT '注册邮箱激活',
  `userguide` tinyint(1) NOT NULL DEFAULT '0' COMMENT '用户向导',
  `regip` varchar(25) NOT NULL DEFAULT '0' COMMENT '注册ip',
  `gamecredit` int(10) NOT NULL DEFAULT '0' COMMENT '用户游戏积分',
  `primsglimit` tinyint(1) NOT NULL DEFAULT '1' COMMENT '发私信隐私权限',
  `lang` VARCHAR( 10 ) NOT NULL DEFAULT  '0',
  PRIMARY KEY (`user_id`),
  KEY `user_name` (`user_name`),
  KEY `password` (`password`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

DROP TABLE IF EXISTS `et_district`;
CREATE TABLE IF NOT EXISTS `et_district` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `level` tinyint(4) unsigned NOT NULL default '0',
  `upid` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `upid` (`upid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=570 ;

DROP TABLE IF EXISTS `et_myapps`;
CREATE TABLE IF NOT EXISTS `et_myapps` (
`id` INT( 10 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`user_id` INT( 10 ) NOT NULL ,
`appid` INT( 10 ) NOT NULL ,
`lasttime` INT( 10 ) NOT NULL
) ENGINE = MYISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `et_emotions`;
CREATE TABLE IF NOT EXISTS `et_emotions` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `identifier` varchar(10) NOT NULL,
  `url` varchar(200) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

INSERT INTO `et_emotions` (`id`, `identifier`, `url`) VALUES
(1, '(疑问)', '1.gif'),
(2, '(惊喜)', '2.gif'),
(3, '(鄙视)', '3.gif'),
(4, '(呕吐)', '4.gif'),
(5, '(拜拜)', '5.gif'),
(6, '(大笑)', '6.gif'),
(7, '(求)', '7.gif'),
(8, '(色)', '8.gif'),
(9, '(撇嘴)', '9.gif'),
(10, '(调皮)', '10.gif'),
(11, '(流泪)', '11.gif'),
(12, '(偷笑)', '12.gif'),
(13, '(鲜花)', '13.gif'),
(14, '(流汗)', '14.gif'),
(15, '(困)', '15.gif'),
(16, '(惊恐)', '16.gif'),
(17, '(闪人)', '17.gif'),
(18, '(惊讶)', '18.gif'),
(19, '(心)', '19.gif'),
(20, '(发怒)', '20.gif'),
(21, '(发愁)', '21.gif'),
(22, '(投降)', '22.gif'),
(23, '(便便)', '23.gif'),
(24, '(害羞)', '24.gif'),
(25, '(大哭)', '25.gif'),
(26, '(得意)', '26.gif'),
(27, '(跪服)', '27.gif'),
(28, '(难过)', '28.gif'),
(29, '(生气)', '29.gif'),
(30, '(闭嘴)', '30.gif'),
(31, '(抓狂)', '31.gif'),
(32, '(人品)', '32.gif'),
(33, '(钱)', '33.gif'),
(34, '(酷)', '34.gif'),
(35, '(挨打)', '35.gif'),
(36, '(痛打)', '36.gif'),
(37, '(阴险)', '37.gif'),
(38, '(困惑)', '38.gif'),
(39, '(尴尬)', '39.gif'),
(40, '(发呆)', '40.gif'),
(41, '(睡)', '41.gif'),
(42, '(嘘)', '42.gif'),
(43, '(鼻血)', '43.gif'),
(44, '(可爱)', '44.gif'),
(45, '(亲吻)', '45.gif'),
(46, '(寒)', '46.gif'),
(47, '(谢谢)', '47.gif'),
(48, '(顶)', '48.gif'),
(49, '(胜利)', '49.gif');

INSERT INTO `et_vipgroup` (`name` ,`iconurl` ,`titleurl`) VALUES ('微博帐号认证','__PUBLIC__/images/common/vip.gif', '__PUBLIC__/images/common/viplogo.gif');

INSERT INTO `et_system` (`id`, `name`, `title`, `contents`, `description`) VALUES
(1, 'sitename', '网站名称', 'EasyTalk微博客', '网站名称'),
(2, 'subtitle', '副标题', '微博客解决方案', '用于显示在网站名称后的说明性文字'),
(3, 'seokey', '网站关键词', '迷你博客,微博客,开源迷你博客', '网站SEO关键词，多个关键词请用英文逗号隔开'),
(4, 'seodescription', '网站描述', 'EasyTalk为国内领先的中文微博客解决方案,快速搭建,强大的后台管理系统,可整合ucenter', '网站SEO描述，请简要描述网站的内容及特点'),
(5, 'miibeian', '网站备案', '正在备案...', '请填写网站备案号'),
(8, 'smtp_host', '邮件服务器', 'smtp.163.com', '邮件smtp服务器地址'),
(9, 'smtp_user', '邮件用户名', 'XXX@163.com', '邮箱登陆用户名'),
(10, 'smtp_pass', '邮件密码', '', '邮箱登陆密码'),
(11, 'smtp_port', '邮件服务器端口', '25', '邮件服务器端口，默认为25'),
(12, 'closereg', '网站注册方式', '2', '邀请注册开启后必须通过后台生成邀请码邀请用户注册'),
(13, 'webclose', '关闭网站', '0', '关闭网站后用户将不能访问'),
(17, 'hottopic_cache_time', '热门话题缓存时间', '7200', '单位秒，建议7200秒'),
(18, 'hotuser_cache_time', '推荐用户缓存时间', '7200', '单位秒，建议7200秒'),
(19, 'userfollow_cache_time', '用户听众缓存时间', '7200', '单位秒，建议7200秒'),
(20, 'index_cache_time', '首页滚动缓存时间', '7200', '单位秒，建议7200秒'),
(21, 'hotusernum', '推荐用户显示个数', '6', '个数可选为6,9,12'),
(22, 'userfollownum', '用户关注听众显示个数', '6', '个数可选为6,9,12'),
(23, 'hottopicnum', '热门话题显示个数', '5', '个数可选为5,10,15'),
(24, 'cachetype', '数据缓存类型', 'file', '默认为文件形式缓存'),
(25, 'memhost', 'memcache主机地址', '127.0.0.1:12211', 'Memcache主机地址及端口，例如(127.0.0.1:12211)'),
(26, 'servicemail', '客服邮箱', 'server@admin.com', '用于发送邀请邮件显示'),
(27, 'inviteword', '邀请用户说明', '我在 EasyTalk 开通微博了，我和朋友们每天都在记录自己的生活点滴，分享自己的心情体会。', '邀请用户说明文字'),
(29, 'wateropen', '水印开关', '0', '上传图片增加文字水印开关'),
(31, 'regname', '屏蔽注册帐号', '', '屏蔽的注册帐号，系统静态目录名已默认被屏蔽'),
(33, 'mail_mode', '通过SMTP发送邮件', '0', '选择“否”将通过 PHP 函数的 mail 发送(推荐此方式)'),
(34, 'widgetopen', '博客挂件', '1', '是否开启博客挂件'),
(38, 'shorturl', '设置短域名地址', 'http://shorturl.com', '设置短域名地址'),
(39, 'foottongji', '添加页脚统计代码', '', '统计代码将显示在版本号的旁边'),
(40, 'about', '关于我们设置', '<p>EasyTalk是一个开源微博客系统，该系统稳定、高效、迅速，容易上手、管理简便，是一款值得拥有的软件。</p><p>在这里，你可以通过手机、网页等渠道随时随地发消息，时时刻刻看朋友，及时获取好友动态和更多资讯内容。</p>', '在这里面输入关于我们的描述，支持html代码'),
(41, 'contect', '联系我们设置', '你可以通过以下方式来联系我们：<br/><br/><p><b>兰州乐游网络科技有限责任公司</b></p><p>● Email：<a href="mailto:hp5216@163.com">hp5216@163.com</a></p><p>● QQ：365148961</p><p>● 地址：甘肃省兰州市七里河区瓜州路132号</p><p>● 微博：<a href="http://www.nextsns.com/et/hjoeson" target="_blank">http://www.nextsns.com/et/hjoeson</a></p><p>● 电话：0931-2611277</p>', '在这里面输入联系我们的描述，支持html代码'),
(42, 'join', '加入我们设置', '<b>兰州乐游网络科技有限责任公司诚聘</b>：<br/><br/><p>● PHP程序员</p><p>● AS3程序员</p><p>● FLASH原画</p><br/><p>学历不是问题，能力创造价值</p><p>工作地点：<b>兰州市</b></p>', '在这里面输入加入我们的描述，支持html代码'),
(43, 'ad1', '页头通栏广告', '', '支持HTML代码'),
(44, 'ad2', '页尾通栏广告', '', '支持HTML代码'),
(45, 'ad3', '个人空间广告', '', '支持HTML代码'),
(46, 'shortserver', '短域名服务器', '0', '短域名服务器'),
(47, 'welcomemsg', '注册欢迎私信', '感谢您注册本网站微博，我们会为您提供最优质的服务，愿您使用愉快！', '不支持HTML，最多140个字符，可在网站开关里设置是否开启'),
(48, 'openwelpri', '开启欢迎私信', '1', '是否开启注册欢迎私信，私信内容请在网站设置里设置'),
(50, 'autorefresh', '自动刷新', '1', '是否开启自动获取信息'),
(51, 'regmailauth', '注册激活邮箱', '0', '注册时是否需要激活邮箱才能进入'),
(52, 'cachetime', '客户端缓存更新', '999999', '客户端缓存更新'),
(55, 'regipnum', '同ip24小时最多注册次数', '0', '同ip24小时最多注册次数'),
(56, 'openauthcode', '开启注册验证码功能', '1', '开启注册验证码功能'),
(57, 'weibowords', '微博字数', '140', '发表微博的字数'),
(58, 'mustlogin', '强制用户登陆', '0', '用户登陆后才能访问网站信息'),
(59, 'todaytopic', '今日话题设置', '新人报到', '今日话题设置'),
(60, 'uuid', '系统唯一标识符', '', '系统唯一标识符');

INSERT INTO `et_district` (`id`, `name`, `level`, `upid`) VALUES
(1, '北京市', 1, 0),
(2, '天津市', 1, 0),
(3, '河北省', 1, 0),
(4, '山西省', 1, 0),
(5, '内蒙古省', 1, 0),
(6, '辽宁省', 1, 0),
(7, '吉林省', 1, 0),
(8, '黑龙江省', 1, 0),
(9, '上海市', 1, 0),
(10, '江苏省', 1, 0),
(11, '浙江省', 1, 0),
(12, '安徽省', 1, 0),
(13, '福建省', 1, 0),
(14, '江西省', 1, 0),
(15, '山东省', 1, 0),
(16, '河南省', 1, 0),
(17, '湖北省', 1, 0),
(18, '湖南省', 1, 0),
(19, '广东省', 1, 0),
(20, '广西省', 1, 0),
(21, '海南省', 1, 0),
(22, '重庆市', 1, 0),
(23, '四川省', 1, 0),
(24, '贵州省', 1, 0),
(25, '云南省', 1, 0),
(26, '西藏省', 1, 0),
(27, '陕西省', 1, 0),
(28, '甘肃省', 1, 0),
(29, '青海省', 1, 0),
(30, '宁夏省', 1, 0),
(31, '新疆省', 1, 0),
(32, '台湾省', 1, 0),
(33, '香港', 1, 0),
(34, '澳门', 1, 0),
(35, '海外', 1, 0),
(36, '其他', 1, 0),
(37, '东城区', 2, 1),
(38, '西城区', 2, 1),
(39, '崇文区', 2, 1),
(40, '宣武区', 2, 1),
(41, '朝阳区', 2, 1),
(42, '丰台区', 2, 1),
(43, '石景山区', 2, 1),
(44, '海淀区', 2, 1),
(45, '门头沟区', 2, 1),
(46, '房山区', 2, 1),
(47, '通州区', 2, 1),
(48, '顺义区', 2, 1),
(49, '昌平区', 2, 1),
(50, '大兴区', 2, 1),
(51, '怀柔区', 2, 1),
(52, '平谷区', 2, 1),
(53, '密云县', 2, 1),
(54, '延庆县', 2, 1),
(55, '和平区', 2, 2),
(56, '河东区', 2, 2),
(57, '河西区', 2, 2),
(58, '南开区', 2, 2),
(59, '河北区', 2, 2),
(60, '红桥区', 2, 2),
(61, '塘沽区', 2, 2),
(62, '汉沽区', 2, 2),
(63, '大港区', 2, 2),
(64, '东丽区', 2, 2),
(65, '西青区', 2, 2),
(66, '津南区', 2, 2),
(67, '北辰区', 2, 2),
(68, '武清区', 2, 2),
(69, '宝坻区', 2, 2),
(70, '宁河县', 2, 2),
(71, '静海县', 2, 2),
(72, '蓟县', 2, 2),
(73, '石家庄市', 2, 3),
(74, '唐山市', 2, 3),
(75, '秦皇岛市', 2, 3),
(76, '邯郸市', 2, 3),
(77, '邢台市', 2, 3),
(78, '保定市', 2, 3),
(79, '张家口市', 2, 3),
(80, '承德市', 2, 3),
(81, '衡水市', 2, 3),
(82, '廊坊市', 2, 3),
(83, '沧州市', 2, 3),
(84, '太原市', 2, 4),
(85, '大同市', 2, 4),
(86, '阳泉市', 2, 4),
(87, '长治市', 2, 4),
(88, '晋城市', 2, 4),
(89, '朔州市', 2, 4),
(90, '晋中市', 2, 4),
(91, '运城市', 2, 4),
(92, '忻州市', 2, 4),
(93, '临汾市', 2, 4),
(94, '吕梁市', 2, 4),
(95, '呼和浩特市', 2, 5),
(96, '包头市', 2, 5),
(97, '乌海市', 2, 5),
(98, '赤峰市', 2, 5),
(99, '通辽市', 2, 5),
(100, '鄂尔多斯市', 2, 5),
(101, '呼伦贝尔市', 2, 5),
(102, '巴彦淖尔市', 2, 5),
(103, '乌兰察布市', 2, 5),
(104, '兴安盟', 2, 5),
(105, '锡林郭勒盟', 2, 5),
(106, '阿拉善盟', 2, 5),
(107, '沈阳市', 2, 6),
(108, '大连市', 2, 6),
(109, '鞍山市', 2, 6),
(110, '抚顺市', 2, 6),
(111, '本溪市', 2, 6),
(112, '丹东市', 2, 6),
(113, '锦州市', 2, 6),
(114, '营口市', 2, 6),
(115, '阜新市', 2, 6),
(116, '辽阳市', 2, 6),
(117, '盘锦市', 2, 6),
(118, '铁岭市', 2, 6),
(119, '朝阳市', 2, 6),
(120, '葫芦岛市', 2, 6),
(121, '长春市', 2, 7),
(122, '吉林市', 2, 7),
(123, '四平市', 2, 7),
(124, '辽源市', 2, 7),
(125, '通化市', 2, 7),
(126, '白山市', 2, 7),
(127, '松原市', 2, 7),
(128, '白城市', 2, 7),
(129, '延边', 2, 7),
(130, '哈尔滨市', 2, 8),
(131, '齐齐哈尔市', 2, 8),
(132, '鸡西市', 2, 8),
(133, '鹤岗市', 2, 8),
(134, '双鸭山市', 2, 8),
(135, '大庆市', 2, 8),
(136, '伊春市', 2, 8),
(137, '佳木斯市', 2, 8),
(138, '七台河市', 2, 8),
(139, '牡丹江市', 2, 8),
(140, '黑河市', 2, 8),
(141, '绥化市', 2, 8),
(142, '大兴安岭', 2, 8),
(143, '黄浦区', 2, 9),
(144, '卢湾区', 2, 9),
(145, '徐汇区', 2, 9),
(146, '长宁区', 2, 9),
(147, '静安区', 2, 9),
(148, '普陀区', 2, 9),
(149, '闸北区', 2, 9),
(150, '虹口区', 2, 9),
(151, '杨浦区', 2, 9),
(152, '闵行区', 2, 9),
(153, '宝山区', 2, 9),
(154, '嘉定区', 2, 9),
(155, '浦东新区', 2, 9),
(156, '金山区', 2, 9),
(157, '松江区', 2, 9),
(158, '青浦区', 2, 9),
(159, '南汇区', 2, 9),
(160, '奉贤区', 2, 9),
(161, '崇明县', 2, 9),
(162, '南京市', 2, 10),
(163, '无锡市', 2, 10),
(164, '徐州市', 2, 10),
(165, '常州市', 2, 10),
(166, '苏州市', 2, 10),
(167, '南通市', 2, 10),
(168, '连云港市', 2, 10),
(169, '淮安市', 2, 10),
(170, '盐城市', 2, 10),
(171, '扬州市', 2, 10),
(172, '镇江市', 2, 10),
(173, '泰州市', 2, 10),
(174, '宿迁市', 2, 10),
(175, '杭州市', 2, 11),
(176, '宁波市', 2, 11),
(177, '温州市', 2, 11),
(178, '嘉兴市', 2, 11),
(179, '湖州市', 2, 11),
(180, '绍兴市', 2, 11),
(181, '舟山市', 2, 11),
(182, '衢州市', 2, 11),
(183, '金华市', 2, 11),
(184, '台州市', 2, 11),
(185, '丽水市', 2, 11),
(186, '合肥市', 2, 12),
(187, '芜湖市', 2, 12),
(188, '蚌埠市', 2, 12),
(189, '淮南市', 2, 12),
(190, '马鞍山市', 2, 12),
(191, '淮北市', 2, 12),
(192, '铜陵市', 2, 12),
(193, '安庆市', 2, 12),
(194, '黄山市', 2, 12),
(195, '滁州市', 2, 12),
(196, '阜阳市', 2, 12),
(197, '宿州市', 2, 12),
(198, '巢湖市', 2, 12),
(199, '六安市', 2, 12),
(200, '亳州市', 2, 12),
(201, '池州市', 2, 12),
(202, '宣城市', 2, 12),
(203, '福州市', 2, 13),
(204, '厦门市', 2, 13),
(205, '莆田市', 2, 13),
(206, '三明市', 2, 13),
(207, '泉州市', 2, 13),
(208, '漳州市', 2, 13),
(209, '南平市', 2, 13),
(210, '龙岩市', 2, 13),
(211, '宁德市', 2, 13),
(212, '南昌市', 2, 14),
(213, '景德镇市', 2, 14),
(214, '萍乡市', 2, 14),
(215, '九江市', 2, 14),
(216, '新余市', 2, 14),
(217, '鹰潭市', 2, 14),
(218, '赣州市', 2, 14),
(219, '吉安市', 2, 14),
(220, '宜春市', 2, 14),
(221, '抚州市', 2, 14),
(222, '上饶市', 2, 14),
(223, '济南市', 2, 15),
(224, '青岛市', 2, 15),
(225, '淄博市', 2, 15),
(226, '枣庄市', 2, 15),
(227, '东营市', 2, 15),
(228, '烟台市', 2, 15),
(229, '潍坊市', 2, 15),
(230, '济宁市', 2, 15),
(231, '泰安市', 2, 15),
(232, '威海市', 2, 15),
(233, '日照市', 2, 15),
(234, '莱芜市', 2, 15),
(235, '临沂市', 2, 15),
(236, '德州市', 2, 15),
(237, '聊城市', 2, 15),
(238, '滨州市', 2, 15),
(239, '菏泽市', 2, 15),
(240, '郑州市', 2, 16),
(241, '开封市', 2, 16),
(242, '洛阳市', 2, 16),
(243, '平顶山市', 2, 16),
(244, '安阳市', 2, 16),
(245, '鹤壁市', 2, 16),
(246, '新乡市', 2, 16),
(247, '焦作市', 2, 16),
(248, '濮阳市', 2, 16),
(249, '许昌市', 2, 16),
(250, '漯河市', 2, 16),
(251, '三门峡市', 2, 16),
(252, '南阳市', 2, 16),
(253, '商丘市', 2, 16),
(254, '信阳市', 2, 16),
(255, '周口市', 2, 16),
(256, '驻马店市', 2, 16),
(257, '济源市', 2, 16),
(258, '武汉市', 2, 17),
(259, '黄石市', 2, 17),
(260, '十堰市', 2, 17),
(261, '宜昌市', 2, 17),
(262, '襄樊市', 2, 17),
(263, '鄂州市', 2, 17),
(264, '荆门市', 2, 17),
(265, '孝感市', 2, 17),
(266, '荆州市', 2, 17),
(267, '黄冈市', 2, 17),
(268, '咸宁市', 2, 17),
(269, '随州市', 2, 17),
(270, '恩施州', 2, 17),
(271, '仙桃市', 2, 17),
(272, '潜江市', 2, 17),
(273, '天门市', 2, 17),
(274, '神农架林区', 2, 17),
(275, '长沙市', 2, 18),
(276, '株洲市', 2, 18),
(277, '湘潭市', 2, 18),
(278, '衡阳市', 2, 18),
(279, '邵阳市', 2, 18),
(280, '岳阳市', 2, 18),
(281, '常德市', 2, 18),
(282, '张家界市', 2, 18),
(283, '益阳市', 2, 18),
(284, '郴州市', 2, 18),
(285, '永州市', 2, 18),
(286, '怀化市', 2, 18),
(287, '娄底市', 2, 18),
(288, '湘西州', 2, 18),
(289, '广州市', 2, 19),
(290, '韶关市', 2, 19),
(291, '深圳市', 2, 19),
(292, '珠海市', 2, 19),
(293, '汕头市', 2, 19),
(294, '佛山市', 2, 19),
(295, '江门市', 2, 19),
(296, '湛江市', 2, 19),
(297, '茂名市', 2, 19),
(298, '肇庆市', 2, 19),
(299, '惠州市', 2, 19),
(300, '梅州市', 2, 19),
(301, '汕尾市', 2, 19),
(302, '河源市', 2, 19),
(303, '阳江市', 2, 19),
(304, '清远市', 2, 19),
(305, '东莞市', 2, 19),
(306, '中山市', 2, 19),
(307, '潮州市', 2, 19),
(308, '揭阳市', 2, 19),
(309, '云浮市', 2, 19),
(310, '南宁市', 2, 20),
(311, '柳州市', 2, 20),
(312, '桂林市', 2, 20),
(313, '梧州市', 2, 20),
(314, '北海市', 2, 20),
(315, '防城港市', 2, 20),
(316, '钦州市', 2, 20),
(317, '贵港市', 2, 20),
(318, '玉林市', 2, 20),
(319, '百色市', 2, 20),
(320, '贺州市', 2, 20),
(321, '河池市', 2, 20),
(322, '来宾市', 2, 20),
(323, '崇左市', 2, 20),
(324, '海口市', 2, 21),
(325, '三亚市', 2, 21),
(326, '五指山市', 2, 21),
(327, '琼海市', 2, 21),
(328, '儋州市', 2, 21),
(329, '文昌市', 2, 21),
(330, '万宁市', 2, 21),
(331, '东方市', 2, 21),
(332, '定安县', 2, 21),
(333, '屯昌县', 2, 21),
(334, '澄迈县', 2, 21),
(335, '临高县', 2, 21),
(336, '白沙县', 2, 21),
(337, '昌江县', 2, 21),
(338, '乐东县', 2, 21),
(339, '陵水黎族自治县', 2, 21),
(340, '保亭县', 2, 21),
(341, '琼中县', 2, 21),
(342, '西沙群岛', 2, 21),
(343, '南沙群岛', 2, 21),
(344, '中沙群岛', 2, 21),
(345, '万州区', 2, 22),
(346, '涪陵区', 2, 22),
(347, '渝中区', 2, 22),
(348, '大渡口区', 2, 22),
(349, '江北区', 2, 22),
(350, '沙坪坝区', 2, 22),
(351, '九龙坡区', 2, 22),
(352, '南岸区', 2, 22),
(353, '北碚区', 2, 22),
(354, '双桥区', 2, 22),
(355, '万盛区', 2, 22),
(356, '渝北区', 2, 22),
(357, '巴南区', 2, 22),
(358, '黔江区', 2, 22),
(359, '长寿区', 2, 22),
(360, '綦江县', 2, 22),
(361, '潼南县', 2, 22),
(362, '铜梁县', 2, 22),
(363, '大足县', 2, 22),
(364, '荣昌县', 2, 22),
(365, '璧山县', 2, 22),
(366, '梁平县', 2, 22),
(367, '城口县', 2, 22),
(368, '丰都县', 2, 22),
(369, '垫江县', 2, 22),
(370, '武隆县', 2, 22),
(371, '忠县', 2, 22),
(372, '开县', 2, 22),
(373, '云阳县', 2, 22),
(374, '奉节县', 2, 22),
(375, '巫山县', 2, 22),
(376, '巫溪县', 2, 22),
(377, '石柱县', 2, 22),
(378, '秀山县', 2, 22),
(379, '酉阳县', 2, 22),
(380, '彭水县', 2, 22),
(381, '江津市', 2, 22),
(382, '合川市', 2, 22),
(383, '永川市', 2, 22),
(384, '南川市', 2, 22),
(385, '成都市', 2, 23),
(386, '自贡市', 2, 23),
(387, '攀枝花市', 2, 23),
(388, '泸州市', 2, 23),
(389, '德阳市', 2, 23),
(390, '绵阳市', 2, 23),
(391, '广元市', 2, 23),
(392, '遂宁市', 2, 23),
(393, '内江市', 2, 23),
(394, '乐山市', 2, 23),
(395, '南充市', 2, 23),
(396, '眉山市', 2, 23),
(397, '宜宾市', 2, 23),
(398, '广安市', 2, 23),
(399, '达州市', 2, 23),
(400, '雅安市', 2, 23),
(401, '巴中市', 2, 23),
(402, '资阳市', 2, 23),
(403, '阿坝州', 2, 23),
(404, '甘孜州', 2, 23),
(405, '凉山州', 2, 23),
(406, '贵阳市', 2, 24),
(407, '六盘水市', 2, 24),
(408, '遵义市', 2, 24),
(409, '安顺市', 2, 24),
(410, '铜仁地区', 2, 24),
(411, '黔西南州', 2, 24),
(412, '毕节地区', 2, 24),
(413, '黔东南州', 2, 24),
(414, '黔南州', 2, 24),
(415, '昆明市', 2, 25),
(416, '曲靖市', 2, 25),
(417, '玉溪市', 2, 25),
(418, '保山市', 2, 25),
(419, '昭通市', 2, 25),
(420, '丽江市', 2, 25),
(421, '思茅市', 2, 25),
(422, '临沧市', 2, 25),
(423, '楚雄州', 2, 25),
(424, '红河州', 2, 25),
(425, '文山州', 2, 25),
(426, '西双版纳州', 2, 25),
(427, '大理州', 2, 25),
(428, '德宏州', 2, 25),
(429, '怒江州', 2, 25),
(430, '迪庆州', 2, 25),
(431, '拉萨市', 2, 26),
(432, '昌都地区', 2, 26),
(433, '山南地区', 2, 26),
(434, '日喀则地区', 2, 26),
(435, '那曲地区', 2, 26),
(436, '阿里地区', 2, 26),
(437, '林芝地区', 2, 26),
(438, '西安市', 2, 27),
(439, '铜川市', 2, 27),
(440, '宝鸡市', 2, 27),
(441, '咸阳市', 2, 27),
(442, '渭南市', 2, 27),
(443, '延安市', 2, 27),
(444, '汉中市', 2, 27),
(445, '榆林市', 2, 27),
(446, '安康市', 2, 27),
(447, '商洛市', 2, 27),
(448, '兰州市', 2, 28),
(449, '嘉峪关市', 2, 28),
(450, '金昌市', 2, 28),
(451, '白银市', 2, 28),
(452, '天水市', 2, 28),
(453, '武威市', 2, 28),
(454, '张掖市', 2, 28),
(455, '平凉市', 2, 28),
(456, '酒泉市', 2, 28),
(457, '庆阳市', 2, 28),
(458, '定西市', 2, 28),
(459, '陇南市', 2, 28),
(460, '临夏州', 2, 28),
(461, '甘南州', 2, 28),
(462, '西宁市', 2, 29),
(463, '海东地区', 2, 29),
(464, '海北州', 2, 29),
(465, '黄南州', 2, 29),
(466, '海南州', 2, 29),
(467, '果洛州', 2, 29),
(468, '玉树州', 2, 29),
(469, '海西州', 2, 29),
(470, '银川市', 2, 30),
(471, '石嘴山市', 2, 30),
(472, '吴忠市', 2, 30),
(473, '固原市', 2, 30),
(474, '中卫市', 2, 30),
(475, '乌鲁木齐市', 2, 31),
(476, '克拉玛依市', 2, 31),
(477, '吐鲁番地区', 2, 31),
(478, '哈密地区', 2, 31),
(479, '昌吉州', 2, 31),
(480, '博尔塔拉州', 2, 31),
(481, '巴音郭楞州', 2, 31),
(482, '阿克苏地区', 2, 31),
(483, '克孜勒苏柯尔克孜州', 2, 31),
(484, '喀什地区', 2, 31),
(485, '和田地区', 2, 31),
(486, '伊犁哈萨克州', 2, 31),
(487, '塔城地区', 2, 31),
(488, '阿勒泰地区', 2, 31),
(489, '石河子市', 2, 31),
(490, '阿拉尔市', 2, 31),
(491, '图木舒克市', 2, 31),
(492, '五家渠市', 2, 31),
(493, '台北市', 2, 32),
(494, '高雄市', 2, 32),
(495, '基隆市', 2, 32),
(496, '台中市', 2, 32),
(497, '台南市', 2, 32),
(498, '新竹市', 2, 32),
(499, '嘉义市', 2, 32),
(500, '台北县', 2, 32),
(501, '宜兰县', 2, 32),
(502, '桃园县', 2, 32),
(503, '新竹县', 2, 32),
(504, '苗栗县', 2, 32),
(505, '台中县', 2, 32),
(506, '彰化县', 2, 32),
(507, '南投县', 2, 32),
(508, '云林县', 2, 32),
(509, '嘉义县', 2, 32),
(510, '台南县', 2, 32),
(511, '高雄县', 2, 32),
(512, '屏东县', 2, 32),
(513, '澎湖县', 2, 32),
(514, '台东县', 2, 32),
(515, '花莲县', 2, 32),
(516, '中西区', 2, 33),
(517, '东区', 2, 33),
(518, '九龙城区', 2, 33),
(519, '观塘区', 2, 33),
(520, '南区', 2, 33),
(521, '深水埗区', 2, 33),
(522, '黄大仙区', 2, 33),
(523, '湾仔区', 2, 33),
(524, '油尖旺区', 2, 33),
(525, '离岛区', 2, 33),
(526, '葵青区', 2, 33),
(527, '北区', 2, 33),
(528, '西贡区', 2, 33),
(529, '沙田区', 2, 33),
(530, '屯门区', 2, 33),
(531, '大埔区', 2, 33),
(532, '荃湾区', 2, 33),
(533, '元朗区', 2, 33),
(534, '澳门', 2, 34),
(535, '美国', 2, 35),
(536, '加拿大', 2, 35),
(537, '澳大利亚', 2, 35),
(538, '新西兰', 2, 35),
(539, '英国', 2, 35),
(540, '法国', 2, 35),
(541, '德国', 2, 35),
(542, '捷克', 2, 35),
(543, '荷兰', 2, 35),
(544, '瑞士', 2, 35),
(545, '希腊', 2, 35),
(546, '挪威', 2, 35),
(547, '瑞典', 2, 35),
(548, '丹麦', 2, 35),
(549, '芬兰', 2, 35),
(550, '爱尔兰', 2, 35),
(551, '奥地利', 2, 35),
(552, '意大利', 2, 35),
(553, '乌克兰', 2, 35),
(554, '俄罗斯', 2, 35),
(555, '西班牙', 2, 35),
(556, '韩国', 2, 35),
(557, '新加坡', 2, 35),
(558, '马来西亚', 2, 35),
(559, '印度', 2, 35),
(560, '泰国', 2, 35),
(561, '日本', 2, 35),
(562, '巴西', 2, 35),
(563, '阿根廷', 2, 35),
(564, '南非', 2, 35),
(565, '埃及', 2, 35),
(566, '其他', 2, 36);